> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Destination

> Delete a destination.

### Required API key scope
- Destinations (Write)




## OpenAPI

````yaml delete /destinations/{id}
openapi: 3.1.0
info:
  title: Destinations API
  description: Title
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Destinations
paths:
  /destinations/{id}:
    delete:
      tags:
        - Destinations
      summary: Delete Destination
      description: |
        Delete a destination.

        ### Required API key scope
        - Destinations (Write)
      operationId: deleteDestination
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
          example: 12345
          description: The destination's unique identifier.
      responses:
        '204':
          description: No Content
        '404':
          description: Destination not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '500':
          description: Error in deleting the destination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - api_key: []
components:
  schemas:
    NotFoundResponse:
      type: object
      properties:
        code:
          type: string
          example: NOT_FOUND
        message:
          type: string
          example: >-
            The destination could not be found. Please verify that the provided
            id is correct.
    InternalServerErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: INTERNAL_SERVER_ERROR
            message:
              type: string
              example: One or more destinations do not have an address.
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````